Get an account
curl --request GET \
--url https://{environment}.ebury.io/accounts/{account_id}/statements/{statement_id}/file \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/accounts/{account_id}/statements/{statement_id}/file"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/accounts/{account_id}/statements/{statement_id}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Pending"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Getting Statements
Get an account
GET
/
accounts
/
{account_id}
/
statements
/
{statement_id}
/
file
Get an account
Get a previously generated statement.
For
MT940 statements, the result will be a zip file with one MT940 file for each day in the given period.
If there are no transactions for a given day, an MT940 will be generated anyway for that day with the account information.
All the date and time values for the CSV and PDF statements will be localized in the client’s contact time zone.Authorizations
An API Key.
Query Parameters
The ID of the client
Response
Returns the requested statement file